/**\file ctrig.h
*\brief Complex trigonometric functions. */

#ifndef CTRIG_H_
#define CTRIG_H_
#include "unifloat_complex.h"
#include "trig.h"

/**\brief The complex arc hyperbolic cosine of the given Unifloat number.
*
*\return The complex arc hyperbolic cosine of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* cacosh_UF(UnifloatComplex* x);

/**\brief The complex arc hyperbolic sine of the given Unifloat number.
*
*\return The complex arc hyperbolic sine of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* casinh_UF(UnifloatComplex* x);

/**\brief The complex arc hyperbolic sine of the given Unifloat number.
*
*\return The complex arc hyperbolic sine of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* catanh_UF(UnifloatComplex* x);

/**\brief The complex hyperbolic cosine of the given Unifloat number.
*
*\return The complex hyperbolic cosine of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* ccosh_UF(UnifloatComplex* x);

/**\brief The complex hyperbolic sine of the given Unifloat number.
*
*\return The complex hyperbolic sine of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* csinh_UF(UnifloatComplex* x);

/**\brief The complex hyperbolic tangent of the given Unifloat number.
*
*\return The complex hyperbolic tangent of \b x.
*\n The function creates and returns the object that have to be removed later using \b delete_UF. */
UnifloatComplex* ctanh_UF(UnifloatComplex* x);
#endif //CTRIG_H_
