#include "debug.h"
#include "stdio.h"
#include "unifloat.h"
#include "math.h"
#include "cstring.h"


int cmp(double d1, double d2)
{
	int i;
	char buf1[50], buf2[50];
	sprintf(buf1, "%f", d1);
	sprintf(buf2, "%f", d2);
	for(i=0;i<50;i++)
	{
		if(buf1[i] == 0 && buf2[i] == 0)
			return 1;
		if(buf1[i] != buf2[i])
			return 0;
	}
}

void test (const char* func_name, double res, double waited)
{
	printf("%s:\t", func_name); printf(cmp(res, waited)? "OK\n": "FAIL: %f\n", res);
	#ifdef DEBUG_ON
printf("cstring: %d\n", MEM);
PRINT_InUse();
#endif
}


int main()
{


test("sin",sin(1), 0.841471 );
test("cos",cos(1), 0.540302 );
test("asin",asin(0.5),0.523599 );
test("acos",acos(0.5), 1.047198 );
test("tan",tan(1), 1.557408 );
test("atan",atan(1), 0.785398 );
test("exp",exp(1.5), 4.481689 );
test("exp2",exp(0.2), 1.2214028 );
test("log",log(3), 1.098612 );

printf("\n");

test("j0",j0(10), -0.245936);
test("j1",j1(10), 0.043473);
test("jn",jn(10, 10), 0.207486);
test("y0",y0(10), 0.055671);
test("y1",y1(10), 0.249015);
test("yn",yn(10, 10), -0.359814);

printf("\n");

test("gamma",gamma(5), 3.178054);
test("tgamma",tgamma(2.5), 1.329340);
test("lgamma",lgamma(5), 3.178054);
}
